> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credential Issuer Profile

> Get a credential issuer profile by ID



## OpenAPI

````yaml /openapi.json get /credential-issuer-profiles/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /credential-issuer-profiles/{id}:
    get:
      tags:
        - Credential Issuer Profile
      summary: Get Credential Issuer Profile
      description: Get a credential issuer profile by ID
      operationId: getCredentialIssuerProfile
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Credential issuer profile fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialIssuerProfile'
        '403':
          description: Credential issuer profile not found
components:
  schemas:
    CredentialIssuerProfile:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the credential issuer profile.
        name:
          type: string
          description: The organization name used in credential issuance.
        identifierId:
          type: string
          description: The identifier used to issue credentials.
      description: >-
        The profile used to issue credentials such as Digital Product Passports
        against.
      required:
        - id
        - name
        - identifierId

````